Bug 230970 - Smolt module not translateable
Summary: Smolt module not translateable
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: smolt   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: i18n, Translation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-05 07:49 UTC by Josep
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-02 09:09:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josep 2007-03-05 07:49:12 UTC
Description of problem:

The smolt module in firstboot is not translateable by the Fedora translators.

The module itself does use gettext and is prepared for translation, but it is
not listed in the modules for translation (the cvs "translate" module).

Either smolt should be added as a module for translation, or its strings should
be added to firstboot.

Thanks!

Comment 1 Mayank Jain 2007-03-05 09:35:12 UTC
Adding the necessary keywords/CC's.

Comment 2 A S Alam 2007-03-05 10:33:19 UTC
Till this //Smolt// is not Internal project, and not include provide to i18n server,
so it is not available for Translation from server, as It is part of Firstboot,
so important to provide PO files within firstboot or i18n server

thanks


Comment 3 Chris Lumens 2007-03-07 16:00:21 UTC
We need to work on getting smolt internal and translated, then.  Including these
strings in firstboot is how we end up with messes like the one involving
translating the EULA screen.  We'll never be able to keep the strings and their
translations in sync if it's spread across two projects. 

Comment 4 Mike McGrath 2007-03-13 18:07:16 UTC
Whats the best way for me (upstream) to provide a translate friendly
infrastructure for people to use?

Comment 5 A S Alam 2007-04-02 09:09:16 UTC
Thanks McGrath for your work,
module is available in 'translate' folder and people already started



Note You need to log in before you can comment on or make changes to this bug.